Package org.h2.security.auth.impl

# Class AssignRealmNameRole

java.lang.Object
org.h2.security.auth.impl.AssignRealmNameRole

All Implemented Interfaces:
  `UserToRolesMapper`, `Configurable`

public class AssignRealmNameRole extends Object implements UserToRolesMapper
Assign to user a role based on realm name *

Configuration parameters:

- roleNameFormat, optional by default is @{realm}

## Constructor Summary

Constructors
Constructor
Description
`AssignRealmNameRole()`
`AssignRealmNameRole(String roleNameFormat)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(ConfigProperties configProperties)`
configure the component
`Collection<String>`
`mapUserToRoles(AuthenticationInfo authenticationInfo)`
Map user identified by authentication info to a set of granted roles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssignRealmNameRole

public AssignRealmNameRole()

### AssignRealmNameRole

public AssignRealmNameRole(String roleNameFormat)

## Method Details

### configure

public void configure(ConfigProperties configProperties)
Description copied from interface: `Configurable`
configure the component

Specified by:
  `configure` in interface `Configurable`
Parameters:
  `configProperties` - = configuration properties

### mapUserToRoles

public Collection<String> mapUserToRoles(AuthenticationInfo authenticationInfo) throws AuthenticationException
Description copied from interface: `UserToRolesMapper`
Map user identified by authentication info to a set of granted roles.

Specified by:
  `mapUserToRoles` in interface `UserToRolesMapper`
Parameters:
  `authenticationInfo` - authentication information
Returns:
  list of roles to be assigned to the user temporary
Throws:
  `AuthenticationException` - on authentication exception